/*
Delta kite.

Length: 3 unit
Width:  6 units
*/

// Colours:
#local colour1 = rgb <1, 0, 0>;
#local colour2 = rgb <1, 1, 0>;

#local w = 3;
#local h = 1;
#local Towpoint = <0, -0.275, -0.06>;
#local Flier = 100*(Towpoint);
#local linethick = 0.005;
#local spar = 0.02;
  
#declare delta = union {
    polygon{4, <0, 0, -0.45>, <1, 0, 0.55>, <-1, 0, 0.55>, <0, 0, -0.45>
        scale w pigment{colour1}}
    polygon{4, <0, 0, -0.225>, <0, -0.275, -0.06>, <0, 0, 0.55>, <0, 0, -0.225>
        scale w pigment{colour2}}
    cylinder{<0.48, 0, 0>, <-0.48, 0, 0>, spar/w scale w pigment{rgb 0}}
    cylinder{<1, 0, 0.55>, <0.21, 0, -0.23>, spar/w scale w pigment{rgb 0}}
    cylinder{<-1, 0, 0.55>, <-0.21, 0, -0.23>, spar/w scale w pigment{rgb 0}}
    cylinder{<0, 0, -0.45>, <0, 0, 0.53>, spar/w scale w pigment{rgb 0}}
    cylinder{Towpoint, Flier, linethick/w scale w pigment{rgb 0}}
    rotate <25, 0, 0>
}