global_settings { ambient_light rgb 8 }
#include "colors.inc"
#include "skies.inc"

#include "circo.inc"
#include "conyne.inc"
#include "delta.inc"
#include "dconyne.inc"
#include "hargrave.inc"
#include "pelybox.inc"
#include "snowflk1.inc"
#include "snowflk2.inc"
#include "tetra.inc"
#include "tradbox.inc"
#include "tumbstar.inc"
#include "waldbox.inc"
#include "wconic.inc"
#include "wingbox.inc"
#include "wsstar.inc"

object { circo
    rotate <0, -30, 0>
    translate <-9, 10, 25>
}

object { conyne
    rotate <0, -33, 0>
    translate <5, 35, 40>
}

object { dconyne
    rotate <0, -27, 0>
    translate <-5, 40, 40>
}

object { delta
    rotate <0, -30, 0>
    translate <5, 55, 50>
}

object { hargrave
    rotate <0, -34, 0>
    translate <20, 35, 50>
}

object { pely
  rotate <0, -38, 0>
  translate <-15, 30, 30>
}
 
object { snowflake1
  rotate <0, -27, 0>
  translate <-5, 17, 50>
}

object { snowflake2
  rotate <0, -33, 0>
  translate <10, 26, 50>
}

object { tetra_16
  rotate <0, -30, 0>
  translate <7, 15, 45>
}
 
object { tradbox
    rotate <0, -35, 0>
    translate <18, 20, 50>
}


object { tumbstar
    rotate <0, -27, 0>
    translate <0, 30, 50>
}

object { waldbox
    rotate <0, -25, 0>
    translate <-15, 40, 75>
}

object { wconic
    rotate <0, -30, 0>
    translate <-21, 35, 50>
}


object { wingbox
    rotate <0, -35, 0>
    translate <-10, 40, 50>
}

object { wsstar
    rotate <0, -28, 0>
    translate <18, 40, 40>
}


#declare Camerapoint = <0, 0, 0>;
#declare Viewpoint = <0, 15, 25>;
light_source { <-80, 30, -50> color rgb 2 }
sky_sphere { S_Cloud2 }
camera {
    location Camerapoint
    look_at Viewpoint
    angle 50
}