global_settings { ambient_light rgb 9 }
#include "colors.inc"
#include "skies.inc"

#include "pelybox.inc"
 
light_source { <-80, 30, 50> color rgb 3 }
//sky_sphere { S_Cloud2 }
background { colour rgb <153/255, 1, 1> }
plane { y, -2 pigment {colour rgb 1}}
   
#declare Viewpoint = <0, 0, 0>;
#declare Objectpoint = <0, 2, 15>;

object { pely
  rotate <0, -20, 0>
  rotate <3*sin(2*pi*clock), 2*cos(2*pi*clock)+1*cos(4*pi*clock), 0>
  translate <0.0375*sin(2*pi*clock), 0.025*cos(2*pi*clock)+0.0125*cos(4*pi*clock), 0>
  translate Objectpoint
}
 
camera {
    location Viewpoint  
    look_at Objectpoint
    angle 15
} 

