global_settings { ambient_light rgb 8 }
#include "colors.inc"
#include "skies.inc"

#include "snowflk2.inc"


#declare Viewpoint = <0, 0, 0>;
#declare Objectpoint = <0, 2, 15>;
object { snowflake2
//  rotate <3*sin(2*pi*clock), 2*cos(2*pi*clock)+1*cos(4*pi*clock), 0>
//  translate <0.0375*sin(2*pi*clock), 0.025*cos(2*pi*clock)+0.0125*cos(4*pi*clock), 0>
//  rotate <0, -360*clock, 0>
  rotate <0, -30, 0>
  translate Objectpoint
}
  
// light_source { <-80, 50, -80> color rgb 1 shadowless }
light_source { <-80, 50, -80> color rgb 3 }
// light_source { Viewpoint color rgb 3 }   
// sky_sphere { S_Cloud2 }
// plane { y, -2 pigment {colour rgb 1}}   
background { colour rgb <153/255, 1, 1> }

camera {
    location Viewpoint  
    look_at Objectpoint
    angle 30
}
