/*
Delta Conyne kite.

Length: 4 units
*/

// Colours:
#local tetra_colour1 = rgb <1, 0, 0>;
#local tetra_colour2 = rgb <1, 1, 0>;
#local tetra_colour3 = rgb <0, 1, 0>;
#local tetra_colour4 = rgb <0, 0, 1>;

#local w = 0.8;
#local h = 1;
#local Towpoint = <0, -1.5, -2>;
#local Flier = 100*(Towpoint - <0, 0, -h*0.3>);
#local linethick = 0.01;
#local spar = 0.03;
  
#local tetra_cell = union {
    polygon{4, <0, 0, -0.5>, <0, 0, 0.5>, <0, sqrt(3)/2, 0>, <0, 0, -0.5>
        rotate <0, 0, 30>}
    polygon{4, <0, 0, -0.5>, <0, 0, 0.5>, <0, sqrt(3)/2, 0>, <0, 0, -0.5>
        rotate <0, 0, -30>}
    cylinder{<0, 0, -0.5>, <0, 0, 0.5>, linethick pigment{colour rgb 0}}
    cylinder{<0, 0, 0.5>, <0, sqrt(3)/2, 0>, linethick pigment{colour rgb 0} rotate <0, 0, 30>}
    cylinder{<0, sqrt(3)/2, 0>, <0, 0, -0.5>, linethick pigment{colour rgb 0} rotate <0, 0, 30>}
    cylinder{<0, 0, 0.5>, <0, sqrt(3)/2, 0>, linethick pigment{colour rgb 0} rotate <0, 0, -30>}
    cylinder{<0, sqrt(3)/2, 0>, <0, 0, -0.5>, linethick pigment{colour rgb 0} rotate <0, 0, -30>}
}

#declare tetra_4 = union {
    object{tetra_cell translate <0, 0, 0.5> pigment{tetra_colour1}}
    object{tetra_cell translate <0, 0, -0.5> pigment{tetra_colour2}}
    object{tetra_cell translate <sqrt(3)/4, 0.75, 0> pigment{tetra_colour3}}
    object{tetra_cell translate <-sqrt(3)/4, 0.75, 0> pigment{tetra_colour4}}
    cylinder{<sqrt(3)/2, 1.5, 0>, <-sqrt(3)/2, 1.5, 0>, linethick  pigment{colour rgb 0}}
}
 
#declare tetra_16 = union {
    object{tetra_4 translate <0, 0, 1>}
    object{tetra_4 translate <0, 0, -1>}
    object{tetra_4 translate <sqrt(3)/2, 1.5, 0>}
    object{tetra_4 translate <-sqrt(3)/2, 1.5, 0>}
    cylinder{<0, 0, 2>, Towpoint, linethick pigment{colour rgb 0}}
    cylinder{<0, 0, -2>, Towpoint, linethick pigment{colour rgb 0}}
    cylinder{Flier, Towpoint, linethick pigment{colour rgb 0}}
    rotate <20, 0, 0>
}