/*
Delta Conyne kite.

Length: 4 units
Dia:  7.54 units
*/

// Colours:
#local wconcol1 = rgb <1, 1, 0>;
#local wconcol2 = rgb <0.85, 0, 0.85>;
#local wconcol3 = rgb <0, 0, 1>; 

#local linethick = 0.008;
#local spar = 0.03;
#local r = 4;
#local h = 2;
#local r1 = 0.86;
#local r2 = 1.72;
#local towpoint = <0, -1.5*r, -2*h>;

#local halfsect = union {
polygon{5, <0, 0, h>, <0, 0, h*r2/r>,
           <r1*cos(pi/6), r1*sin(pi/6), h*(r2-r1)/r>,
           <r1*cos(pi/6), r1*sin(pi/6), h*(r-r1)/r>, 
           <0, 0, h>
           pigment {colour wconcol1}}
cylinder{<0, 0, h*r2/r>, <r1*cos(pi/6), r1*sin(pi/6), h*(r2-r1)/r>, linethick pigment{rgb 0}}
cylinder{<r1*cos(pi/6), r1*sin(pi/6), h*(r2-r1)/r>, <r1*cos(pi/6), r1*sin(pi/6), h*(r-r1)/r>, linethick pigment{rgb 0}}
cylinder{<r1*cos(pi/6), r1*sin(pi/6), h*(r-r1)/r>, <0, 0, h>, linethick pigment{rgb 0}}

polygon{5, <r1*cos(pi/6), r1*sin(pi/6), h*(r2-r1)/r>,
           <r1*cos(pi/6), r1*sin(pi/6), h*(r-r1)/r>,
           <r2*cos(pi/6), 0, h*(r-r2)/r>,
           <r2*cos(pi/6), 0, 0>,
           <r1*cos(pi/6), r1*sin(pi/6), h*(r2-r1)/r>
           pigment {colour wconcol2}}
cylinder{<r1*cos(pi/6), r1*sin(pi/6), h*(r-r1)/r>, <r2*cos(pi/6), 0, h*(r-r2)/r>, linethick pigment{rgb 0}}
cylinder{<r2*cos(pi/6), 0, h*(r-r2)/r>, <r2*cos(pi/6), 0, 0>, linethick pigment{rgb 0}}
cylinder{<r2*cos(pi/6), 0, 0>, <r1*cos(pi/6), r1*sin(pi/6), h*(r2-r1)/r>, linethick pigment{rgb 0}}
           
polygon{5, <r1*cos(pi/6), -r1*sin(pi/6), h*(r2-r1)/r>,
           <r1*cos(pi/6), -r1*sin(pi/6), h*(r-r1)/r>,
           <r2*cos(pi/6), 0, h*(r-r2)/r>,
           <r2*cos(pi/6), 0, 0>,
           <r1*cos(pi/6), -r1*sin(pi/6), h*(r2-r1)/r>
           pigment {colour wconcol2}}
cylinder{<r1*cos(pi/6), -r1*sin(pi/6), h*(r-r1)/r>, <r2*cos(pi/6), 0, h*(r-r2)/r>, linethick pigment{rgb 0}}
cylinder{<r2*cos(pi/6), 0, h*(r-r2)/r>, <r2*cos(pi/6), 0, 0>, linethick pigment{rgb 0}}
cylinder{<r2*cos(pi/6), 0, 0>, <r1*cos(pi/6), -r1*sin(pi/6), h*(r2-r1)/r>, linethick pigment{rgb 0}}
           
polygon{4, <r2*cos(pi/6), 0, h*(r-r2)/r>,
           <r2*cos(pi/6), 0, 0>,
           <r2*cos(pi/6)+(r-r2), 0, 0>,
           <r2*cos(pi/6), 0, h*(r-r2)/r>
           pigment {colour wconcol3}}
cylinder{<r2*cos(pi/6)+(r-r2), 0, 0>, <r2*cos(pi/6), 0, h*(r-r2)/r>, linethick pigment{rgb 0}}
}

#local sect = union {
           object{halfsect}
           object{halfsect rotate <0, 180, 0>}
           cylinder{<0, 0, 0>, <r2*cos(pi/6)+(r-r2), 0, 0>, spar pigment{rgb 0}}
}

#declare wconic = union {
    object { sect rotate <0, 0, 30>}
    object { sect rotate <0, 0, 90>}
    object { sect rotate <0, 0, 150>}
    object { sect rotate <0, 0, 210>}
    object { sect rotate <0, 0, 270>}
    object { sect rotate <0, 0, 330>}
    cylinder{<0, 0, h>, <0, 0, -h>, spar pigment{rgb 0}}
    cylinder{<0, 0, -h>, towpoint, linethick pigment{rgb 0}} 
    cylinder{<0, -(r2*cos(pi/6)+(r-r2)), 0>, towpoint, linethick pigment{rgb 0}} 
    cylinder{towpoint*100, towpoint, linethick pigment{rgb 0}} 
    rotate <15, 0, 0>
}