/*
Waldof Superstar kite.

Length: 6 units
Width:  6 units
*/

// Colours:
#local wsstar1 = rgb <0.15, 0.15, 1>;
#local wsstar2 = rgb <1, 0.15, 0.15>;
#local wsstar3 = rgb <1, 1, 0>; 

#local linethick = 0.008;
#local spar = 0.03;
#local d = 3;
#local d1 = 1.5;
#local h1 = 0.5;
#local h2 = 1.5;
#local towpoint = 1.5*<0, -1.5*d, -2*d>;

#local halfsect = union {
    polygon{5, <d1, 0, 0>, <d, 0, 0>, <0, 0, d>, <0, 0, d1>, <d1, 0, 0>}
    cylinder{<d, 0, 0>, <0, 0, d>, linethick pigment{rgb 0}}
    cylinder{<0, 0, d1>, <d1, 0, 0>, linethick pigment{rgb 0}}
    polygon{5, <d-h2, 0, h2>, <d-h2, 0, h1>,
            <(d-h2)*cos(pi/3), (d-h2)*sin(pi/3), h1>,
            <(d-h2)*cos(pi/3), (d-h2)*sin(pi/3), h2>,
            <d-h2, 0, h2>
            pigment{ wsstar3}}
    cylinder{<d-h2, 0, h1>, <(d-h2)*cos(pi/3), (d-h2)*sin(pi/3), h1>, linethick pigment{rgb 0}} 
    cylinder{<(d-h2)*cos(pi/3), (d-h2)*sin(pi/3), h2>, <d-h2, 0, h2>, linethick pigment{rgb 0}} 
    cylinder{<d-h2, 0, h2>, <d-h2, 0, 0> spar pigment{rgb 0}}
    cylinder{<0, 0, 0>, <d, 0, 0>, spar pigment{rgb 0}}
}

#local sect = union {
    object {halfsect pigment{ wsstar1}}
    object {halfsect pigment{ wsstar2} rotate <0, 180, 0>}
}

#declare wsstar = union {
    object { sect rotate <0, 0, 30>}
    object { sect rotate <0, 0, 90>}
    object { sect rotate <0, 0, 150>}
    object { sect rotate <0, 0, 210>}
    object { sect rotate <0, 0, 270>}
    object { sect rotate <0, 0, 330>}
    cylinder{<0, 0, d>, <0, 0, -d>, spar pigment{rgb 0}}
    cylinder{<0, 0, -d>, towpoint, linethick pigment{rgb 0}} 
    cylinder{<0, -d, 0>, towpoint, linethick pigment{rgb 0}} 
    cylinder{towpoint*100, towpoint, linethick pigment{rgb 0}} 
    rotate <15, 0, 0>
}