/*
della Porta kite.

Length: 2 units
Width:  1.6 units

Note: This kites needs a tail - add later with a paint program.
*/

// Colours:
#local colour1 = rgb <1, 0, 1>;
#local colour2 = rgb <0, 0, 1>;

#local w = 0.8;
#local h = 1;
#local Towpoint = <0, -h*1.3, -h*0.4>;
#local Flier = 100*(Towpoint - <0, 0, -h*0.3>);
#local linethick = 0.01;
#local spar = 0.03;
  
#declare dellap = union {
    polygon{4, <0, 0, 0>, <w, 0, h>, <-w, 0, h>, <0, 0, 0>
        pigment {colour1}}
    polygon{4, <0, 0, 0>, <w, 0, -h>, <-w, 0, -h>, <0, 0, 0>
        pigment {colour1}}
    polygon{4, <0, 0, 0>, <w, 0, -h>, <w, 0, h>, <0, 0, 0>
        pigment {colour2}}
    polygon{4, <0, 0, 0>, <-w, 0, -h>, <-w, 0, h>, <0, 0, 0>
        pigment {colour2}}
    cylinder{<w, 0, h>, <-w, 0, -h>, spar pigment {colour rgb 0}}
    cylinder{<-w, 0, h>, <w, 0, -h>, spar pigment {colour rgb 0}}
    cylinder{<w, 0, h>, <-w, 0, h>, linethick pigment {colour rgb 0}}
    cylinder{<w, 0, -h>, <-w, 0, -h>, linethick pigment {colour rgb 0}}
    cylinder{<w, 0, h>, <w, 0, -h>, linethick pigment {colour rgb 0}}
    cylinder{<-w, 0, h>, <-w, 0, -h>, linethick pigment {colour rgb 0}}
    cylinder{<0, 0, 0>, Towpoint, linethick pigment {colour rgb 0}}
    cylinder{<-w, 0, -h>, Towpoint, linethick pigment {colour rgb 0}}
    cylinder{<w, 0, -h>, Towpoint, linethick pigment {colour rgb 0}}
    cylinder{Towpoint, Flier, linethick pigment {colour rgb 0}}
    rotate <45, 0, 0>
}
