/*
Hargrave Box kite.

Length: 4.5 units
Width:  3 units
*/

// Colours:
#local hcolour=rgb <0, 0, 1>;

#local Towpoint = <0, -1.2, -2.5>;
#local Flier = 100*Towpoint;
#local linethick = 0.003;

#local wd = 3/2;
#local ht = 1/2;
#local dp = 1.5/2;
#local spar1 = 0.01;
#local spar2 = 0.02;

#local sail1 = union {
    polygon { 5, <-wd, -ht, -dp>, <wd, -ht, -dp>,
      <wd, -ht, dp>, <-wd, -ht, dp>, <-wd, -ht, -dp> }
    polygon { 5, <-wd, -ht, -dp>, <-wd, -ht, dp>, <-wd, ht, dp>,
      <-wd, ht, -dp>, <-wd, -ht, -dp> }
    cylinder { <-wd, ht, 0>, <0, -ht, 0>, spar1 pigment {rgb 0} }
    cylinder { <-wd, -ht, 0>, <0, ht, 0>, spar1 pigment {rgb 0} }
    cylinder { <-wd, ht, -dp>, <-wd, ht, dp>, spar1 pigment {rgb 0} }
    cylinder { <-wd, -ht, -dp>, <-wd, -ht, dp>, spar1 pigment {rgb 0} }
    pigment { colour hcolour }
}

#local sail2 = union {
    object { sail1 }
    object {sail1 rotate <0, 0, 180>}
}   

#declare hargrave = union {
    object { sail2 translate <0, 0, -dp * 2> }
    object { sail2 translate <0, 0, dp * 2> }
    cylinder { <0, ht, -dp * 3>, <0, ht, dp * 3>, spar2 pigment {rgb 0} }
    cylinder { <0, -ht, -dp * 3>, <0, -ht, dp * 3>, spar2 pigment {rgb 0} }
    cylinder { <0, -ht, -dp * 2>, <0, -50, -50>, 0.007 pigment { rgb 0 } }
    rotate <20, 0, 0>
}