/*
Hexagonal kite.

Diameter: 1 unit

(Note - needs a tail - add with a drawing package later)
*/

// Colours:
#local Hex_colour1 = rgb <0, 0, 1>;
#local Hex_colour2 = rgb <1, 0, 0>;
#local Hex_colour3 = rgb <0, 1, 0>;

#local w = 0.8;
#local h = 1;
#local Towpoint = <0, -h*1, -h*0.75>;
#local Flier = 100*(Towpoint - <0, 0, -h*0.4>);
#local linethick = 0.005;
#local spar = 0.03;
  
#declare hex = union {
    polygon{4, <0, 0, 0>, <1, 0, 0>, <sqrt(3)/4, 0, sqrt(3)/2>, <0, 0, 0>
        pigment {Hex_colour1}}
    polygon{4, <0, 0, 0>, <-1, 0, 0>, <-sqrt(3)/4, 0, -sqrt(3)/2>, <0, 0, 0>
        pigment {Hex_colour1}}
    polygon{4, <0, 0, 0>, <-1, 0, 0>, <-sqrt(3)/4, 0, sqrt(3)/2>, <0, 0, 0>
        pigment {Hex_colour2}}
    polygon{4, <0, 0, 0>, <1, 0, 0>, <sqrt(3)/4, 0, -sqrt(3)/2>, <0, 0, 0>
        pigment {Hex_colour2}}
    polygon{4, <0, 0, 0>, <sqrt(3)/4, 0, sqrt(3)/2>, <-sqrt(3)/4, 0, sqrt(3)/2>, <0, 0, 0>
        pigment {Hex_colour3}}
    polygon{4, <0, 0, 0>, <sqrt(3)/4, 0, -sqrt(3)/2>, <-sqrt(3)/4, 0, -sqrt(3)/2>, <0, 0, 0>
        pigment {Hex_colour3}}
    cylinder{<1, 0, 0>, <sqrt(3)/4, 0, sqrt(3)/2>, linethick pigment {rgb 0}}
    cylinder{<sqrt(3)/4, 0, sqrt(3)/2>, <-sqrt(3)/4, 0, sqrt(3)/2>, linethick pigment {rgb 0}}
    cylinder{<-sqrt(3)/4, 0, sqrt(3)/2>, <-1, 0, 0>, linethick pigment {rgb 0}}
    cylinder{<1, 0, 0>, <sqrt(3)/4, 0, -sqrt(3)/2>, linethick pigment {rgb 0}}
    cylinder{<sqrt(3)/4, 0, -sqrt(3)/2>, <-sqrt(3)/4, 0, -sqrt(3)/2>, linethick pigment {rgb 0}}
    cylinder{<-sqrt(3)/4, 0, -sqrt(3)/2>, <-1, 0, 0>, linethick pigment {rgb 0}}

    cylinder{<sqrt(3)/4, 0, sqrt(3)/2>, <0, 0, 1.5>, linethick pigment {rgb 0}}
    cylinder{<-sqrt(3)/4, 0, sqrt(3)/2>, <0, 0, 1.5>, linethick pigment {rgb 0}}
    cylinder{<sqrt(3)/4, 0, -sqrt(3)/2>, Towpoint, linethick pigment {rgb 0}}
    cylinder{<-sqrt(3)/4, 0, -sqrt(3)/2>, Towpoint, linethick pigment {rgb 0}}
    cylinder{<0, 0, 0>, Towpoint, linethick pigment {rgb 0}}
    cylinder{Towpoint, Flier, linethick pigment {rgb 0}}
    rotate <35, 0, 0>
}