/*
Sode kite.

Length: 2.5 units
Width:  3 units
*/

// Colours:
#local colour1 = rgb<0, 1, 0>*3;
#local colour2 = rgb<1, 1, 0>*3;

#local h1 = 1;
#local h2 = 1.5;
#local w1 = 1.5;
#local w2 = .75;
#local linethick = 0.01;
#local spar = 0.03;
#local towpoint = <0, h1/2, -h1*1.5>;
#local flier = (towpoint-<0,h1/4,0>)*100;

#declare sode = union {
    polygon{5, <0, 0, 0>, <0, h1, 0>, <w1, h1, 0>, <w1, 0, 0>, <0, 0, 0>
        pigment {colour1}}
    polygon{5, <0, 0, 0>, <0, h1, 0>, <-w1, h1, 0>, <-w1, 0, 0>, <0, 0, 0>
        pigment {colour2}}
    polygon{5, <0, 0, 0>, <0, -h2, 0>, <w2, -h2, 0>, <w2, 0, 0>, <0, 0, 0>
        pigment {colour2}}
    polygon{5, <0, 0, 0>, <0, -h2, 0>, <-w2, -h2, 0>, <-w2, 0, 0>, <0, 0, 0>
        pigment {colour1}}
    cylinder{<w1, 0, 0>, <w1, h1, 0>, linethick pigment{colour rgb 0}}
    cylinder{<-w1, 0, 0>, <-w1, h1, 0>, linethick pigment{colour rgb 0}}
    cylinder{<w2, 0, 0>, <w2, -h2, 0>, linethick pigment{colour rgb 0}}
    cylinder{<-w2, 0, 0>, <-w2, -h2, 0>, linethick pigment{colour rgb 0}}
    cylinder{<w1, h1, 0>, <-w1, h1, 0>, spar pigment{colour rgb 0}}
    cylinder{<w1, 0, 0>, <-w1, 0, 0>, spar pigment{colour rgb 0}}
    cylinder{<w2, -h2, 0>, <-w2, -h2, 0>, spar pigment{colour rgb 0}}
    cylinder{<0, h1, 0>, <0, -h2, 0>, spar pigment{colour rgb 0}}
    cylinder{<0, h1, 0>, towpoint, linethick pigment{colour rgb 0}}
    cylinder{<0, 0, 0>, towpoint, linethick pigment{colour rgb 0}}
    cylinder{towpoint, flier, linethick pigment{colour rgb 0}}
    rotate <-50, 0, 0>
}