global_settings { ambient_light rgb 9 }
#include "colors.inc"
#include "skies.inc"

#include "tetra.inc"
 
light_source { <-80, 30, 50> color rgb 3 }
//sky_sphere { S_Cloud2 }
background { colour rgb <153/255, 1, 1> }
plane { y, -2 pigment {colour rgb 1}}
   
#declare Viewpoint = <0, 0, 0>;
#declare Objectpoint = <0, 2, 15>;

object { tetra_16
  rotate <0, -35, 0>
  translate Objectpoint }
 
camera {
    location Viewpoint  
    look_at Objectpoint + <0, sqrt(3), 0>
    angle 30
   
}