/*
Traditional Box kite.

Length: 3.5 units
Width:  1.41 units
*/

// Colours:
#local tbcolour1=rgb<1, 0, 0>;
#local tbcolour2=rgb<0, 0, 1>;

#local linethick = 0.007;
#local spar = 0.03;
#local towpoint = <0, -2, -1>;
#local flier = 100*towpoint; 
#local len = 2.5;
#local sect = union {
    polygon{ 5, <0.5, 0.5, -1>, <0.5, -0.5, -1>, <0.5, -0.5, 0>,
        <0.5, 0.5, 0>, <0.5, 0.5, -1> pigment{tbcolour1}}
    cylinder{ <0.5, 0.5, -1>, <0.5, -0.5, -1>, linethick pigment{rgb 0}}   
    cylinder{ <0.5, -0.5, -1>, <0.5, -0.5, 0>, linethick pigment{rgb 0}}   
    cylinder{ <0.5, -0.5, 0>, <0.5, 0.5, 0>, linethick pigment{rgb 0}}   
    cylinder{ <0.5, 0.5, 0>, <0.5, 0.5, -1>, linethick pigment{rgb 0}}
       
    polygon{ 5, <0.5, 0.5, len-1>, <0.5, -0.5, len-1>, <0.5, -0.5, len>,
        <0.5, 0.5, len>, <0.5, 0.5, len-1> pigment{tbcolour2}}
    cylinder{ <0.5, 0.5, len-1>, <0.5, -0.5, len-1>, linethick pigment{rgb 0}}   
    cylinder{ <0.5, -0.5, len-1>, <0.5, -0.5, len>, linethick pigment{rgb 0}}   
    cylinder{ <0.5, -0.5, len>, <0.5, 0.5, len>, linethick pigment{rgb 0}}   
    cylinder{ <0.5, 0.5, len>, <0.5, 0.5, len-1>, linethick pigment{rgb 0}}
    
    cylinder{ <0.5-spar, 0.5-spar, -1>, <0.5-spar, 0.5-spar, len>, spar pigment{rgb 0}}   
}

#declare tradbox = union {
    object{sect rotate <0, 0, 45>}
    object{sect rotate <0, 0, 135>}
    object{sect rotate <0, 0, 225>}
    object{sect rotate <0, 0, 315>}
    cylinder{ <0, -sqrt(2)/2, -1>, towpoint, linethick pigment{rgb 0}}
    cylinder{ <0, -sqrt(2)/2, len-1>, towpoint, linethick pigment{rgb 0}}
    cylinder{ towpoint*100, towpoint, linethick pigment{rgb 0}}  
    rotate <30, 0, 0>
}
