global_settings { ambient_light rgb 8 }
#include "colors.inc"
#include "skies.inc"

#include "tumbstar.inc"

#declare Viewpoint = <0, 0, 0>
#declare Objectpoint = <0, 2, 25>

object { tumbstar
    rotate <0, -27, 0>
    translate Objectpoint
}

light_source { <-80, 30, 50> color rgb 2 }
background { colour rgb <153/255, 1, 1> }
camera {
    location Viewpoint
    look_at Objectpoint
    angle 20
}