global_settings { ambient_light rgb 8 }
#include "colors.inc"
#include "skies.inc"

#include "circo.inc"
#include "conyne.inc"
#include "dconyne.inc"
#include "dellap.inc"
#include "delta.inc"
#include "hargrave.inc"
#include "hex.inc"
#include "pelybox.inc"
#include "snowflk1.inc"
#include "snowflk2.inc"
#include "sode.inc"
#include "tetra.inc"
#include "tradbox.inc"
#include "tumbstar.inc"

#include "waldbox.inc"
#include "wconic.inc"
#include "wingbox.inc"
#include "wsstar.inc"


#declare Viewpoint = <-25, 0, 0>;
#declare Objectpoint = <0, 0, 0>;

//object { circo translate Objectpoint }
//object { conyne translate Objectpoint }
//object { dconyne translate Objectpoint }
//object { dellap translate Objectpoint }
//object { delta translate Objectpoint }
//object { hargrave translate Objectpoint }
//object { hex translate Objectpoint }
//object { pely translate Objectpoint }
//object { sode translate Objectpoint }
//object { snowflake1 translate Objectpoint }
object { snowflake2 translate Objectpoint }
//object { tetra_16 translate Objectpoint }
//object { tradbox translate Objectpoint }
//object { tumbstar translate Objectpoint }
//object { waldbox translate Objectpoint }
//object { wconic translate Objectpoint }
//object { wingbox translate Objectpoint }
//object { wsstar translate Objectpoint }
  
// light_source { <-80, 50, -80> color rgb 1 shadowless }
light_source { <-80, 50, -80> color rgb 3 }
// light_source { Viewpoint color rgb 3 }   
// sky_sphere { S_Cloud2 }
// plane { y, -2 pigment {colour rgb 1}}   
background { colour rgb <153/255, 1, 1> }

camera {
    location Viewpoint  
    look_at Objectpoint
    angle 60
}
