/*
Waldof Box kite.

Length: 3 units
Dia:  12 units
*/

// Colours:
#local colour1=rgb <0, 0.85, 0>; 
#local colour2=rgb <0.95, 0.95, 0>; 
#local colour3=rgb <1, 0, 0>; 
#local colour4=rgb <0, 0, 1>; 

#local linethick = 0.015;

#local sect1 = union {

    union {
    cylinder { <1, 0, 0>, <3, 0, 0>, linethick pigment {rgb 0}}
    cylinder { <3, 0, 0>, <3, 0, 1>, linethick pigment {rgb 0}}
    cylinder { <3, 0, 1>, <1, 0, 1>, linethick pigment {rgb 0}}
    cylinder { <1, 0, 1>, <1, 0, 0>, linethick pigment {rgb 0}}
    polygon { 5, <1, 0, 0>, <3, 0, 0>, <3, 0, 1>, <1, 0, 1>, <1, 0, 0>
      pigment {colour2} }
    }

    union {    
    cylinder { <0, 0, 0>, <1, 0, 0>, linethick pigment {rgb 0}}
    cylinder { <1, 0, 0>, <1, 0, 1>, linethick pigment {rgb 0}}
    cylinder { <1, 0, 1>, <0, 0, 1>, linethick pigment {rgb 0}}
    cylinder { <0, 0, 1>, <0, 0, 0>, linethick pigment {rgb 0}}
    polygon {5, <0, 0, 0>, <1, 0, 0>, <1, 0, 1>, <0, 0, 1>, <0, 0, 0> }
      rotate <0, 0, 120>
      translate <1, 0, 0>
      pigment {colour1 }
    }

    union {     
    cylinder { <0, 0, 0>, <3, 0, 0>, linethick pigment {rgb 0}}
    cylinder { <3, 0, 0>, <3, 0, 1>, linethick pigment {rgb 0}}
    cylinder { <3, 0, 1>, <0, 0, 1>, linethick pigment {rgb 0}}
    cylinder { <0, 0, 1>, <0, 0, 0>, linethick pigment {rgb 0}}
    polygon {5, <0, 0, 0>, <3, 0, 0>, <3, 0, 1>, <0, 0, 1>, <0, 0, 0> }
      rotate <0, 0, 120>                                           
      translate <3, 0, 0>
      pigment {colour3}
    }
}

#local sect2 = union {
    object {sect1}
    object {sect1 translate <0, 0, 2>}
    cylinder { <3, 0, 0>, <6, 0, 1.5>, linethick pigment {rgb 0}}
    cylinder { <6, 0, 1.5>, <3, 0, 3>, linethick pigment {rgb 0}}
    cylinder { <3, 0, 3>, <3, 0, 0>, linethick pigment {rgb 0}}
    polygon { 4, <3, 0, 0>, <6, 0, 1.5>, <3, 0, 3>, <3, 0, 0>
        pigment {colour4 }}
    cylinder { <0, 0, 1.5>, <6, 0, 1.5>, 0.05 pigment {rgb 0 } }
    cylinder { <3, 0, 0>, <3, 0, 3>, 0.05 pigment {rgb 0 } }
} 

#declare waldbox = union {
    object { sect2 }
    object { sect2 rotate <0, 0, 60>}
    object { sect2 rotate <0, 0, 120>}
    object { sect2 rotate <0, 0, 180>}
    object { sect2 rotate <0, 0, 240>}
    object { sect2 rotate <0, 0, 300>}
    cylinder { <3, 0, 0>, <10, 0, 0>, linethick pigment {rgb 0 } }
    cylinder { <3, 0, 3>, <10, 0, 0>, linethick pigment {rgb 0 } } 
    cylinder { <100, 0, -15>, <10, 0, 0>, linethick pigment {rgb 0 } } 
    rotate <0, 0, -90>
    rotate <23, 0, 0>
}