global_settings { ambient_light rgb 8 }
#include "colors.inc"
#include "skies.inc"

#include "wsstar.inc"

#declare Viewpoint = <0, 0, 0>;
#declare Objectpoint = <0, 2, 25>;

object { wsstar
    rotate <0, -20, 0>
    translate Objectpoint
}

background { colour rgb <153/255, 1, 1> }
light_source { <-80, 50, -80> color rgb 2 }
camera {
    location Viewpoint
    look_at Objectpoint
    angle 25
}